Name:           perl-HTML-WikiConverter
Version:        0.68
Release:        1%{?dist}
Summary:        Perl module to convert HTML to wiki markup
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-WikiConverter/
Source0:        http://www.cpan.org/authors/id/D/DI/DIBERRI/HTML-WikiConverter-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Class::Data::Inheritable) >= 0.02
BuildRequires:  perl(CSS) >= 1.07
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTML::Element)
BuildRequires:  perl(HTML::Entities) >= 1.27
BuildRequires:  perl(HTML::Tagset) >= 3.04
BuildRequires:  perl(HTML::Tree) >= 3.18
BuildRequires:  perl(Params::Validate) >= 0.77
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(URI) >= 1.35
BuildRequires:  perl(URI::Escape)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
HTML::WikiConverter is an HTML to wiki converter. It can convert HTML source
into a variety of wiki markups, called wiki "dialects". 

This package contains the perl modules; install the "html2wiki" package for the
application itself.

%package -n html2wiki
Summary:        Convert HTML to wiki markup
Group:          Applications/Publishing
Requires:       %{name} = %{version}-%{release}

%description -n html2wiki
A command line tool to convert pages in HTML to Wiki markup. Various wiki
dialects are supported.


%prep
%setup -q -n HTML-WikiConverter-%{version}
find webapp-install cgi/* -type f | xargs chmod 0644


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README webapp-install cgi
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files -n html2wiki
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue May 05 2009 Iain Arnell 0.68-1
- Specfile autogenerated by cpanspec 1.77.
- Create sub-package for html2wiki
